org.eclipse.jgit.patch

## Class BinaryHunk

- java.lang.Object
- - org.eclipse.jgit.patch.BinaryHunk

    public class BinaryHunk
    extends Object

Part of a "GIT binary patch" to describe the pre-image or post-image

### Nested Class Summary

Nested Classes
`static class` `BinaryHunk.Type` Type of information stored in a binary hunk.

### Method Summary

Methods
`byte[]` `getBuffer()`
`int` `getEndOffset()`
`FileHeader` `getFileHeader()`
`int` `getSize()`
`int` `getStartOffset()`
`BinaryHunk.Type` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFileHeader

    public FileHeader getFileHeader()

Returns:
  header for the file this hunk applies to

#### getBuffer

    public byte[] getBuffer()

Returns:
  the byte array holding this hunk's patch script.

#### getStartOffset

    public int getStartOffset()

Returns:
  offset the start of this hunk in `getBuffer()`.

#### getEndOffset

    public int getEndOffset()

Returns:
  offset one past the end of the hunk in `getBuffer()`.

#### getType

    public BinaryHunk.Type getType()

Returns:
  type of this binary hunk

#### getSize

    public int getSize()

Returns:
  inflated size of this hunk's data